#!/bin/sh
HOOK_DIR="/var/packages/PrestoServer/target/hook"
PKG_INFO="${HOOK_DIR}/package-info"
SHARE_HOOK="${HOOK_DIR}/share-hook"

case $1 in
		# print package info
		--name|--pkg-ver|--vendor)
			${PKG_INFO} $1
		;;

		# print SDK module version
		--sdk-mod-ver)
			${SHARE_HOOK} --sdk-mod-ver
		;;

		# execute pre hook
		--pre)
			${SHARE_HOOK} --pre-transform
		;;

		# execute post hook
		--post)
			${SHARE_HOOK} --post-transform
		;;

		*)
			echo "Usage: $0 --sdk_mod_ver|--name|--pkg_ver|--vendor|--pre|--post"
		;;
esac
